---
- name: Check Prerequisite
  fail:
    msg: 'Only Debian is supported for now'
  when: ansible_os_family != 'Debian'

- name: Include OS-specific variables
  include_vars:
    file: '{{ ansible_os_family }}.yml'

- include_tasks: '{{ ansible_os_family }}.yml'
